Name | Type | Default |
animationDuration
|
Number
|
300
|
Determines the duration of the progressbar's animation.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" :animationDuration="1000" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
colorRanges
|
Array
|
[]
|
Determines different color segments.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" :colorRanges="colorRanges" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue'; export default { components: { JqxProgressBar }, data: function () { return { colorRanges: [ { stop: 20, color: "red" }, { stop: 70, color: "blue" }
|
disabled
|
Boolean
|
false
|
Determines whether the progress bar is disabled.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" :disabled="true" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
height
|
Number | String
|
null
|
Sets or gets the progress bar's height.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" :height="50" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
layout
|
String
|
"normal"
|
Sets or gets the jqxProgressBar's layout.
Possible Values:
'normal'
'reverse'-the slider is filled from right-to-left(horizontal progressbar) and from top-to-bottom(vertical progressbar)
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" :layout="'reverse'" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
max
|
Number
|
100
|
Sets or gets the progress bar's max value.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" :max="250" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
min
|
Number
|
0
|
Sets or gets the progress bar's min value.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" :min="30" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
orientation
|
String
|
'horizontal'
|
Sets or gets the orientation.
Possible Values:
'vertical'
'horizontal'
<template> <JqxProgressBar ref="myProgressBar" :width="40" :value="50" :showText="true" :height="500" :orientation="'vertical'" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" :rtl="true" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
renderText
|
Object | Function
|
null
|
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" :renderText="renderText" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue'; export default { components: { JqxProgressBar }, methods: { renderText: function (text) { return "<span style='background: #ffe8a6; color: #e53d37; font-style: italic;'>" + text + "</span>";
|
showText
|
Boolean
|
false
|
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
template
|
String
|
'default'
|
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" :template="'success'" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" :theme="'material'" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
value
|
Number
|
0
|
Sets or gets the progress bar's value The value should be set between min(default value: 0) and max(default value: 100).
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
width
|
Number | String
|
null
|
Sets or gets the progress bar's width.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue';
|
|
complete
|
Event
|
|
This event is triggered when the value is equal to the max. value.
Code examples
Bind to the complete event of jqxProgressBar.
<template> <div> <JqxProgressBar ref="myProgressBar" @complete="onComplete($event)" :width="500" :value="50" :showText="true" /> <JqxButton style="margin-top: 15px;" :width="80" @click="setValue()">Set value</JqxButton> </div> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxProgressBar, JqxButton }, methods: { setValue: function () { this.$refs.myProgressBar.val(100); }, onComplete: function (event) { alert( 'do something...');
|
invalidValue
|
Event
|
|
This event is triggered when the user enters an invalid value( value which is not number or is out of the min - max range. )
Code examples
Bind to the invalidValue event of jqxProgressBar.
<template> <div> <JqxProgressBar ref="myProgressBar" @invalidValue="onInvalidValue($event)" :width="500" :value="50" :showText="true" :min="0" :max="100" /> <JqxButton style="margin-top: 15px;" :width="80" @click="setValue()">Set value</JqxButton> </div> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxProgressBar, JqxButton }, methods: { setValue: function () { this.$refs.myProgressBar.val(-5); }, onInvalidValue: function (event) { alert( 'do something...');
|
valueChanged
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the valueChanged event of jqxProgressBar.
<template> <div> <JqxProgressBar ref="myProgressBar" @valueChanged="onValueChanged($event)" :width="500" :value="50" :showText="true" /> <JqxButton style="margin-top: 15px;" :width="80" @click="setValue()">Set value</JqxButton> </div> </template> <script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxProgressBar, JqxButton }, methods: { setValue: function () { this.$refs.myProgressBar.val(100); }, onValueChanged: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
actualValue
|
value
|
None
|
Sets the progress bar's value.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue'; export default { components: { JqxProgressBar }, mounted: function () { this.$refs.myProgressBar.actualValue(20);
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue'; export default { components: { JqxProgressBar }, mounted: function () { this.$refs.myProgressBar.destroy();
|
val
|
value
|
Number
|
Sets or gets the value.
<template> <JqxProgressBar ref="myProgressBar" :width="500" :value="50" :showText="true" /> </template>
<script> import JqxProgressBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxprogressbar.vue'; export default { components: { JqxProgressBar }, mounted: function () { const value = this.$refs.myProgressBar.val();
|

Name | Type | Default |
animationDuration
|
number
|
300
|
Determines the duration of the progressbar's animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} animationDuration={1000} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
colorRanges
|
Array<ProgressBarColorRanges>
|
[]
|
Interface ProgressBarColorRanges { stop?: number | string; color?: string; }
Determines different color segments.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); constructor(props: {}) { super(props); this.state = { colorRanges: [ { stop: 20, color: "red" }, { stop: 70, color: "blue" } ] } } public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} colorRanges={this.state.colorRanges} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Determines whether the progress bar is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the progress bar's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} height={50} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
layout
|
ProgressBarLayout
|
"normal"
|
ProgressBarLayout: "normal" | "reverse"
Sets or gets the jqxProgressBar's layout.
Possible Values:
'normal'
'reverse'-the slider is filled from right-to-left(horizontal progressbar) and from top-to-bottom(vertical progressbar)
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} layout={ 'reverse'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
max
|
string | number
|
100
|
Sets or gets the progress bar's max value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} max={250} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
min
|
number | string
|
0
|
Sets or gets the progress bar's min value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} min={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
orientation
|
ProgressBarOrientation
|
'horizontal'
|
ProgressBarOrientation: "vertical" | "horizontal"
Sets or gets the orientation.
Possible Values:
'vertical'
'horizontal'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={40} value={50} showText={true} height={500} orientation={ 'vertical'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
renderText
|
(text?: ProgressBarRenderText['text'], value?: ProgressBarRenderText['value']) => string
|
null
|
Interface ProgressBarRenderText { text?: string; value?: number; }
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); constructor(props: {}) { super(props); this.state = { renderText: (text: string, value: number): any => { return "<span style='background: #ffe8a6; color: #e53d37; font-style: italic;'>" + text + "</span>"; } } } public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} renderText={this.state.renderText} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showText
|
boolean
|
false
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
template
|
ProgressBarTemplate
|
'default'
|
ProgressBarTemplate: "default" | "primary" | "success" | "warning" | "danger" | "info"
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} template={ 'success'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} theme={ 'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
value
|
string | number
|
0
|
Sets or gets the progress bar's value The value should be set between min(default value: 0) and max(default value: 100).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the progress bar's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
complete
|
Event
|
|
This event is triggered when the value is equal to the max. value.
Code examples
Bind to the complete event of jqxProgressBar.
|
invalidValue
|
Event
|
|
This event is triggered when the user enters an invalid value( value which is not number or is out of the min - max range. )
Code examples
Bind to the invalidValue event of jqxProgressBar.
|
valueChanged
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the valueChanged event of jqxProgressBar.
|
|
Name | Arguments | Return Type |
actualValue
|
value
|
|
Sets the progress bar's value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public componentDidMount(): void { this.myProgressBar.current!.actualValue(20); } public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public componentDidMount(): void { this.myProgressBar.current!.destroy(); } public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value
|
|
Sets or gets the value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxProgressBar, { IProgressBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxprogressbar'; class App extends React.PureComponent<{}, IProgressBarProps> { private myProgressBar = React.createRef<JqxProgressBar>(); public componentDidMount(): void { this.myProgressBar.current!.val(); } public render() { return ( <JqxProgressBar ref={this.myProgressBar} width={500} value={50} showText={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
animationDuration
|
Number
|
300
|
Sets or gets the animationDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true" [animationDuration]="1000"> </jqxProgressBar> `}) export class AppComponent {
|
colorRanges
|
Array<ProgressBarColorRanges>
|
[]
|
interface ProgressBarColorRanges { stop: String | Number; color: String; } Sets or gets the colorRanges property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true" [colorRanges]="colorRanges"> </jqxProgressBar> `}) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true" [disabled]="true"> </jqxProgressBar> `}) export class AppComponent {
|
height
|
String | Number
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true"> </jqxProgressBar> `}) export class AppComponent {
|
layout
|
enum:ProgressBarLayout
|
"normal"
|
enum ProgressBarLayout { normal, reverse } Sets or gets the layout property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true" [layout]="'reverse'"> </jqxProgressBar> `}) export class AppComponent {
|
max
|
String | Number
|
100
|
Sets or gets the max property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true" [max]="250"> </jqxProgressBar> `}) export class AppComponent {
|
min
|
String | Number
|
0
|
Sets or gets the min property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true" [min]="30"> </jqxProgressBar> `}) export class AppComponent {
|
orientation
|
enum:ProgressBarOrientation
|
'horizontal'
|
enum ProgressBarOrientation { vertical, horizontal } Sets or gets the orientation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true" [orientation]="'vertical'"> </jqxProgressBar> `}) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true" [rtl]="true"> </jqxProgressBar> `}) export class AppComponent {
|
renderText
|
Any
|
null
|
Sets or gets the renderText property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true" [renderText]="renderText"> </jqxProgressBar> `}) export class AppComponent {
|
showText
|
Boolean
|
false
|
Sets or gets the showText property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true"> </jqxProgressBar> `}) export class AppComponent {
|
template
|
enum:ProgressBarTemplate
|
'default'
|
enum ProgressBarTemplate { default, primary, success, warning, danger, info } Sets or gets the template property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true" [theme]="'danger'"> </jqxProgressBar> `}) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true" [theme]="'arctic'"> </jqxProgressBar> `}) export class AppComponent {
|
value
|
String | Number
|
0
|
Sets or gets the value property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true"> </jqxProgressBar> `}) export class AppComponent {
|
width
|
String | Number
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true"> </jqxProgressBar> `}) export class AppComponent {
|
|
complete
|
Event
|
|
This event is triggered when the value is equal to the max. value.
Code examples
Bind to the complete event of jqxProgressBar.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar(onComplete)="Complete($event)" [width]="250" [height]="30" [value]="0" [showText]="true"> </jqxProgressBar> `}) export class AppComponent { Complete(event: any): void
|
invalidvalue
|
Event
|
|
This event is triggered when the user enters an invalid value( value which is not Number or is out of the min - max range. )
Code examples
Bind to the invalidvalue event of jqxProgressBar.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar(onInvalidvalue)="Invalidvalue($event)" [width]="250" [height]="30" [value]="0" [showText]="true"> </jqxProgressBar> `}) export class AppComponent { Invalidvalue(event: any): void
|
valueChanged
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the valueChanged event of jqxProgressBar.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar(onValueChanged)="ValueChanged($event)" [width]="250" [height]="30" [value]="0" [showText]="true"> </jqxProgressBar> `}) export class AppComponent { ValueChanged(event: any): void
|
|
Name | Return Type | Arguments |
actualValue
|
Void
|
value: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true"> </jqxProgressBar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myProgressBar') myProgressBar: jqxProgressBarComponent; ngAfterViewInit(): void { this.myProgressBar.actualValue(20,20);
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true"> </jqxProgressBar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myProgressBar') myProgressBar: jqxProgressBarComponent; ngAfterViewInit(): void { this.myProgressBar.destroy();
|
val
|
Number
|
value: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxProgressBar #myProgressBar [width]="250" [height]="30" [value]="0" [showText]="true"> </jqxProgressBar> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myProgressBar') myProgressBar: jqxProgressBarComponent; ngAfterViewInit(): void { let value = this.myProgressBar.val();
|